Bug 57967 - rpm Segmentation fault's during the install of postgresql-server
rpm Segmentation fault's during the install of postgresql-server
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-03 13:09 EST by Christian Pearce
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-03 13:44:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Pearce 2002-01-03 13:09:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010815

Description of problem:
This description is going to sound strange.  I ran into this problem twice.
 The first time was with a package not developed by redhat so I dismissed
it.  But I was able to install it on different systems.  The difference was
between the two systems were one uses ldap for authenication and the other
didn't.  The one that uses ldap for authenication
failed.open("/etc/nsswitch.conf", O_RDONLY)    = 10
fstat64(10, {st_mode=S_IFREG|0644, st_size=1785, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40408000
read(10, "#\n# /etc/nsswitch.conf\n#\n# An ex"..., 4096) = 1785
read(10, "", 4096)                      = 0
close(10)                               = 0
munmap(0x40408000, 4096)                = 0
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++


I am not certain what is causing it so I am just try to get it documented.
 I think it has something to do with the fact postgresql-server comes
bundled with a postgresql user.  Here is a strace of the results that seems
relevant





Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  authconfig - use LDAP
2.  rpm -ivh postgresql-server

	

Actual Results:  Preparing...               
########################################### [100%]
Segmentation fault


Expected Results:  Preparing...               
########################################### [100%]

Additional info:
Comment 1 Christian Pearce 2002-01-03 13:44:11 EST
Note:  A workaround is to disable auth ldap with autoconfig.  Run the install
and then turn it back on.
Comment 2 Jeff Johnson 2002-01-07 16:34:21 EST
A better workaround is to run nscd when using LDAP passwords.
Comment 3 mattb 2002-10-12 03:01:10 EDT
Running nscd doesn't seem to always work. See bug #59709.

Note You need to log in before you can comment on or make changes to this bug.